<template>
  <div>
    <div class='semester-box'
        v-for="s in semesters"
        :value="s.id"
        :key="s.id">
        {{ translateToSemester(s) }}° semestre de {{ translateToYear(s)}}
          <status-list
          :semester="s"/>
    </div>
  </div>
</template>

<script>
import StatusList from '~/components/StatusList.vue'

export default {
  components: {
    StatusList
  },
  computed: {
    semesters() {
      console.log('history:' +  this.$store.getters);
      //return this.$store.getters.history.semesters;
      return [[2019, 1],
              [2019, 2],
              [2020, 1],
              [2020, 2]
             ];
    }
  },
  methods: {
    translateToSemester(s) {
        return s[1];
    },
    translateToYear(s) {
        return s[0];
    }
  },
  beforeCreate() {
    let ins = this;

    this.$axios({
      url: 'http://localhost:3000/history',
      method: 'get',
      headers: {
        Authorization: `Bearer ${ins.$store.getters.authToken}`
      }
    })
      .then (res => {
        let payload = {};

        payload = res.data;
        console.log(payload)

        ins.$store.commit('setHistoryData', payload);
      })
      .catch (err => {
        // TO-DO:
        // O que fazer em caso de erro nessa request?
        console.log(err);
      });
  }
}
</script>
<style scoped>


.semester-box {
  display: flex;              /* Children use Flexbox */
  flex-direction: column;
  justify-content: center;    /* Group Children in Center */
  align-items: center;        /* Group Children in Center (on cross axis) */
  font-size: 1.25em;
  border-style: solid;
  border-width: 1px;
  background-color:antiquewhite;

} 
</style>